Summary: Linux enhanced port of winpopup
Summary(ru_RU.KOI8-R):   winpopup  Linux
Name: LinPopUp
Version: 1.2.0
Release: alt3
Icon: linpopup.gif
License: GPL
Group: Networking/Instant messaging
Source: %name-%version.src.tar.bz2
Source1: %name-16x16.xpm.bz2
Source2: %name-32x32.xpm.bz2
Source3: %name-48x48.xpm.bz2
# gdk_font_load("fixed") to set message font to system default
Patch: LinPopUp-1.2.0-alt-gdk_font_load.patch.gz
Patch1: LinPopUp-1.2.0-CAN_2004_1282.patch
Url: http://www.littleigloo.org

# Automatically added by buildreq on Mon Oct 07 2002
BuildRequires: XFree86-devel glib-devel gtk+-devel

%description
LinPopUp is a Xwindow graphical port of Winpopup, running over Samba.
It permits to communicate with a windows computer that runs Winpopup,
sending or receiving message. (It also provides an alternative way to
communicate between Linux computers that run Samba).

%description -l ru_RU.KOI8-R
LinPopUp -   Winpopup    Samba.
       
 Winpopup. (    
   Linux-   Samba.)

%prep
%setup -q
%patch -p1
%patch1 -p0

%build
cd src
%make_build DESTDIR=%prefix DATA_DIR=%_localstatedir/linpopup

%install
cd src
mkdir -p %buildroot{%_bindir,%_man1dir}
%makeinstall DESTDIR=%buildroot%prefix DATA_DIR=%buildroot%_localstatedir/linpopup INSTALL_MANPATH=%buildroot%_mandir
mkdir -p %buildroot%_localstatedir/linpopup

#menu
mkdir -p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name): \
command="%_bindir/LinPopUp -min" \
icon="%name.xpm" \
needs="X11" \
section="Networking/Instant messaging" \
title="LinPopUp" \
longtitle="A Linux enhanced port of winpopup"
EOF

#icons
mkdir -p %buildroot{%_miconsdir,%_liconsdir,%_iconsdir}
bzcat %SOURCE1 > %buildroot%_miconsdir/%name.xpm
bzcat %SOURCE2 > %buildroot%_iconsdir/%name.xpm
bzcat %SOURCE3 > %buildroot%_liconsdir/%name.xpm

%post
if [ ! -f %_localstatedir/linpopup/messages.dat ]; then
    touch %_localstatedir/linpopup/messages.dat;
    chmod 0666 %_localstatedir/linpopup/messages.dat;
    chgrp nobody %_localstatedir/linpopup/messages.dat;
else :; fi;
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS THANKS BUGS INSTALL TODO README MANUAL ChangeLog
%_bindir/*
%_man1dir/*
%dir %_datadir/LinPopUp
%_datadir/LinPopUp/*
%_menudir/%name
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%dir %_localstatedir/linpopup
%changelog
* Thu Feb 03 2005 Grigory Batalov <bga@altlinux.ru> 1.2.0-alt3
- CAN-2004-1282 was fixed

* Mon Oct 07 2002 Grigory Batalov <bga@altlinux.ru> 1.2.0-alt2
- Removed samba dependence
- Group changed to "Instant messaging"
- Specfile cleanup

* Wed Nov 21 2001 Grigory Batalov <bga@altlinux.ru> 1.2.0-alt1
- Built for ALTLinux

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- added by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
